---
title:  "Codex Update"
slug: codex-update-2021
published: true
layout: post
date:   2021-08-30 03:04:24
categories: update
excerpt: "New layout and plugin system for codex-server"
cover_image: cover.jpg
hero_image: hero.jpg
---

For a very long time I have been working on improving my writing. Since 2005 I have kept a journal. I always had a bunch of notes laying around in my computer. At some point around 2013 I decided to create my own app to organize my writing and hence **Codex App** was born. It's a node server that renders markdown files from a folder structure on to webpages. Then you can navigate your notes just like a wiki and edit the files on my favorite (*and always changing*) markdown editor.

Fast-forward to 2021 and this app is totally outdated. It wasn't a complete wreck because somewhere in 2018 I had done a revamp and added full text search. But the layout felt old, there was no file editing and no way to put the content on the internet without making everything public.

Because of all those issues, time went by and I stoped using Codex. Sometimes I used it if I need to search for something in my notes, but besides for that, I didin't use it much. 

But now I'm working on Kairoscope with my cousin Ben and we really need a shared knoledgebase. Yes, we could use google drive, but we want to move away from google as much as posible. We could also pay for some service like [Notion](https://notion.io), but in the long run that would cost us thousands of dollars. 

So I decided to update codex. My requirements where it to have a shiny new layout, a markdown editor, authentication, and the ability to upload and download files and folders. 

For making my life easier (*or more complicated*), I decided to also add a long due plugin system. By making most of this new functionality modular, It would be easier to add new features and I could use codex in diferent scenarios.

For a long time I used [Evernote](https://evernote.com) to organize these to things. I tried and switched to many diferent alternatives trying to find the perfec software to organize my **second brain**. But at some point around a decade ago I gave up on finding something and decided to simply *write markdown files saved on a folder structure*.

This worked well for a while, but then I started linking between notes. There was a little PHP app called *windex* that rendered a folder structure from you drive on the browser and rendered the `Readme.md` file from the current folder, just like github.
