---
title: Grid Miner
folder: grid-miner
date: 2021-11-01
layout: project
cover_image: "/projects/grid-miner/cover.png"
hero_image: "/projects/grid-miner/hero.png"
description: "A RTS/Puzzle game where you build a space station and gather resources"
text: "<p>Grid Miner is a real time strategy puzzle game where you mine asteroids to gather resources and expand you space station. Unlock new tools and utilities as you progress thru levels. Maintain your quotas and learn more about your employer, \"Hypergo Industries\", and it's employees.</p>"
featured: true
tags:
  - "games"
  - "programming"
start_date: "2021-06-01"
end_date: "2022-05-03"
contact_types: "Team"
contacts:
  - name: "James Peret"
    url: "http://jamesperet.com"
  - name: "Benjamin Peret"
    url: ""
screenshots:
  - url: "/projects/grid-miner/grid-miner-001.jpg"
    description: "A large base"
  - url: "/projects/grid-miner/grid-miner-002.jpg"
    description: "The Tractor Beam"
  - url: "/projects/grid-miner/grid-miner-003.jpg"
    description: "Alternative color pallet"
  - url: "/projects/grid-miner/grid-miner-004.jpg"
    description: "Alternative color pallet"
  - url: "/projects/grid-miner/grid-miner-005.jpg"
    description: "Game story screen"
  - url: "/projects/grid-miner/grid-miner-007.jpg"
    description: "Construction mode"
links:
  - name: "Buy on Steam"
    url: "https://store.steampowered.com/app/1768300/Grid_Miner/"
    disabled: ""
    dropdown: false
    links: []
files: []
videos:
  - title: "Grid Miner Trailer"
    url: "https://www.youtube.com/watch?v=rn6jtgRvuIY"
repositories: []
thumbnail_image: "/projects/grid-miner/thumbnail.png"
---
Grid Miner is a real time strategy puzzle game where you mine asteroids to gather resources and expand you space station. Unlock new tools and utilities as you progress thru levels. Maintain your quotas and learn more about your employer, "Hypergo Industries", and it's employees.